USE `muxlabnetworkcontroller_dev_db`;

CREATE TABLE `applicationsettings` (
  `applicationsettingsID` int(11) NOT NULL AUTO_INCREMENT,
  `AppProperty` varchar(45) DEFAULT NULL,
  `AppValue` varchar(75) DEFAULT NULL,  
  PRIMARY KEY (`applicationsettingsID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

INSERT INTO `applicationsettings` VALUES (1,'scheduled_hour','0');
INSERT INTO `applicationsettings` VALUES (2,'api_username','admin');
INSERT INTO `applicationsettings` VALUES (3,'api_password','admin');

ALTER TABLE `persistentsettings_p5` ADD COLUMN `scheduled_ir_toggle` TINYINT(1) NULL DEFAULT 0 AFTER `display_res`;
ALTER TABLE `persistentsettings_p5` ADD COLUMN `scheduled_reboot` TINYINT(1) NULL DEFAULT 0 AFTER `scheduled_ir_toggle`;

ALTER TABLE `productplayersettings_p5` ADD COLUMN `window_xcoord_src` smallint(6) DEFAULT NULL AFTER `window_height_dst`;
ALTER TABLE `productplayersettings_p5` ADD COLUMN `window_ycoord_src` smallint(6) DEFAULT NULL AFTER `window_xcoord_src`;
ALTER TABLE `productplayersettings_p5` ADD COLUMN `window_width_src` smallint(6) DEFAULT NULL AFTER `window_ycoord_src`;
ALTER TABLE `productplayersettings_p5` ADD COLUMN `window_height_src` smallint(6) DEFAULT NULL AFTER `window_width_src`;

CREATE TABLE `macvsport_p10` (
  `macvsport_p10ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P10_productglobalattributs_p10ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p10ID`,`ProductGlobalAttributs_P10_productglobalattributs_p10ID`),
  KEY `fk_MacVsPort_P10_ProductGlobalAttributs_P101_idx` (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `persistentsettings_p10` (
  `persistentsettings_p10ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,  
  `IsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `IsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `IsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductGlobalAttributs_P10_productglobalattributs_p10ID` int(11) NOT NULL,
  PRIMARY KEY (`persistentsettings_p10ID`,`ProductGlobalAttributs_P10_productglobalattributs_p10ID`),
  KEY `fk_PersistentSettings_P10_ProductGlobalAttributs_P10_idx` (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`)  
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p10` (
  `presets_p10ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P10_productglobalattributs_p10ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p10ID`,`ProductGlobalAttributs_P10_productglobalattributs_p10ID`),
  KEY `fk_Presets_P10_ProductGlobalAttributs_P101_idx` (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p10` (
  `presetsmatrix_p10ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P10_presets_p10ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p10ID`,`Presets_P10_presets_p10ID`),
  KEY `fk_PresetsMatrix_P10_Presets_P101_idx` (`Presets_P10_presets_p10ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p10` (
  `productglobalattributs_p10ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `TxChannelUsed` VARCHAR(10000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p10ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P10_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p10` (
  `productioattributslist_p10` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(180) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P10_productglobalattributs_p10ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrHwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrFreeRouting` tinyint(1) DEFAULT NULL,
  `ProductIoAttrChannel` varchar(15) DEFAULT NULL,
  `ProductIoAttrChannelVideo` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelUSB` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelAudio` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelIR` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelSerial` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelGPIO` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsVwOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  `ProductIoAttrEdidUse` VARCHAR(15) DEFAULT NULL,
  `ProductIoAttrHdrMode` varchar(25) DEFAULT NULL,
  `ProductIoAttrChannelOSD` INT(2) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrDeviceState` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p10`,`ProductGlobalAttributs_P10_productglobalattributs_p10ID`),
  KEY `fk_ProductIoAttributsList_P10_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P10_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P10_ProductGlobalAttributs_P101_idx` (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `videowallconfig_p10` (
  `videowallconfig_p10ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P10_productglobalattributs_p10ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p10ID`,`ProductGlobalAttributs_P10_productglobalattributs_p10ID`),
  KEY `fk_VideoWallConfig_P10_ProductGlobalAttributs_P101_idx` (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p10` (
  `vwrxsettings_p10ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(45) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `VideoWallConfig_P10_videowallconfig_p10ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p10ID`,`VideoWallConfig_P10_videowallconfig_p10ID`),
  KEY `fk_VWRxSettings_P10_VideoWallConfig_P101_idx` (`VideoWallConfig_P10_videowallconfig_p10ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `macvsport_p10`
  ADD  CONSTRAINT `fk_MacVsPort_P10_ProductGlobalAttributs_P101` FOREIGN KEY (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`) REFERENCES `productglobalattributs_p10` (`productglobalattributs_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p10`
  ADD  CONSTRAINT `fk_Presets_P10_ProductGlobalAttributs_P101` FOREIGN KEY (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`) REFERENCES `productglobalattributs_p10` (`productglobalattributs_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p10`
  ADD  CONSTRAINT `fk_PresetsMatrix_P10_Presets_P101` FOREIGN KEY (`Presets_P10_presets_p10ID`) REFERENCES `presets_p10` (`presets_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p10`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P10_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p10`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P10_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P10_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P10_ProductGlobalAttributs_P101` FOREIGN KEY (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`) REFERENCES `productglobalattributs_p10` (`productglobalattributs_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p10`
  ADD  CONSTRAINT `fk_VideoWallConfig_P10_ProductGlobalAttributs_P101` FOREIGN KEY (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`) REFERENCES `productglobalattributs_p10` (`productglobalattributs_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p10`
  ADD  CONSTRAINT `fk_VWRxSettings_P10_VideoWallConfig_P101` FOREIGN KEY (`VideoWallConfig_P10_videowallconfig_p10ID`) REFERENCES `videowallconfig_p10` (`videowallconfig_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `persistentsettings_p10`
  ADD  CONSTRAINT `fk_PersistentSettings_P10_ProductGlobalAttributs_P10` FOREIGN KEY (`ProductGlobalAttributs_P10_productglobalattributs_p10ID`) REFERENCES `productglobalattributs_p10` (`productglobalattributs_p10ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `persistentsettings_p10` ADD COLUMN `RotateVideoDegrees` INT(3) NULL DEFAULT NULL AFTER `IsCecFollowVideo`;
ALTER TABLE `productioattributslist_p10` ADD COLUMN `ProductIoAttrRotateVideoDegrees` INT(3) DEFAULT NULL AFTER `ProductIoAttrIsCecFollowVideo`;

INSERT INTO `productsupported` VALUES ('10', '500800', NULL, NULL, 'HDMI over IP PoE 4K/60', NULL, NULL, 'Muxlab', 'P_muxlab_500800', 'IP', 'IP', '2', '16', NULL, NULL, '200', NULL, NULL, NULL);

INSERT INTO `featuresupport` VALUES (58,'500800-RX','either',1);
INSERT INTO `featuresupport` VALUES (59,'500800-TX','either',1);

UPDATE `productsupported` SET `ProductCode`='500760/761/766' WHERE `productsupportedID`='7' and`ProductCategory_productcategoryID`='2';

INSERT INTO `featuresupport` VALUES (60,'500766','both',1);

INSERT INTO `iopurpose` VALUES ('8','TRANSCEIVER');

DROP TABLE IF EXISTS `productioattributslist_p7`;
CREATE TABLE `productioattributslist_p7` (
  `productioattributslist_p7` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductDeviceId` varchar(75) DEFAULT NULL,  
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,  
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrFwSecondVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,  
  `ProductIoAttrIsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductIoAttrConnectedAudioHdmiMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductIoAttrConnectedAudioAnalogMac` varchar(21) DEFAULT '00-00-00-00-00-00',  
  `Hdmi0GroupIp` varchar(18) DEFAULT NULL,
  `Hdmi0FPS` int(11) DEFAULT NULL,
  `Hdmi0StatusResolution` varchar(25) DEFAULT NULL,
  `Hdmi0StatusFPS` int(11) DEFAULT NULL,
  `Hdmi0StatusColorSpace` varchar(25) DEFAULT NULL,
  `Hdmi0StatusBitsPerPixel` int(11) DEFAULT NULL,
  `Hdmi0StatusScanMode` varchar(25) DEFAULT NULL,  
  `Hdmi0HdcpVersion` varchar(25) DEFAULT NULL,
  `Hdmi0StatusVideoState` varchar(25) DEFAULT NULL,
  `Hdmi0StatusAudioState` varchar(25) DEFAULT NULL,  
  `Hdmi0StatusAudioSamplingFrequency` int(11) DEFAULT NULL,
  `Hdmi0StatusAudioNumberOfChannels` int(11) DEFAULT NULL,
  `Hdmi0HdcpSupportEnabled` tinyint(1) DEFAULT '0',  
  `Hdmi0Hdcp22SupportDisabled` tinyint(1) DEFAULT '0',   
  `VideoDecompressorVersion` tinyint(1) DEFAULT '2',
  `Hdmi1GroupIp` varchar(18) DEFAULT NULL,
  `Hdmi1FPS` int(11) DEFAULT NULL,
  `Hdmi1StatusResolution` varchar(25) DEFAULT NULL,
  `Hdmi1StatusFPS` int(11) DEFAULT NULL,
  `Hdmi1StatusColorSpace` varchar(25) DEFAULT NULL,
  `Hdmi1StatusBitsPerPixel` int(11) DEFAULT NULL,
  `Hdmi1StatusScanMode` varchar(25) DEFAULT NULL,  
  `Hdmi1HdcpVersion` varchar(25) DEFAULT NULL,
  `Hdmi1StatusVideoState` varchar(25) DEFAULT NULL,
  `Hdmi1StatusAudioState` varchar(25) DEFAULT NULL,  
  `Hdmi1StatusAudioSamplingFrequency` int(11) DEFAULT NULL,
  `Hdmi1StatusAudioNumberOfChannels` int(11) DEFAULT NULL,
  `Hdmi1IsVideoDetected` tinyint(1) DEFAULT NULL,    
  `Hdmi1VideoResolution` varchar(25) DEFAULT NULL,
  `Hdmi1VideoInputSource` varchar(25) DEFAULT NULL,
  `Hdmi1VideoDisplayMode` varchar(25) DEFAULT NULL,
  `Hdmi1HorizOffset` int(11) DEFAULT NULL,
  `Hdmi1VertOffset` int(11) DEFAULT NULL,
  `Hdmi1HdcpOutputMode` varchar(25) DEFAULT NULL,
  `Hdmi1AudioOutputSource` int(2) DEFAULT NULL,
  `Hdmi1AudioOutputSourceValues` varchar(255) DEFAULT NULL,    
  `I2SAudioInputSamplingFrequency` int(11) DEFAULT NULL,    
  `I2SAudioInputSamplingFrequencyValues` varchar(255) DEFAULT NULL,    
  `I2SAudioInputNumberOfChannels` int(11) DEFAULT NULL,    
  `I2SAudioInputNumberOfChannelsValues` varchar(255) DEFAULT NULL,    
  `I2SAudioInputChannelAllocation` int(2) DEFAULT NULL,    
  `I2SAudioInputChannelAllocationValues` varchar(255) DEFAULT NULL,    
  `I2SAudioEncodingType` varchar(25) DEFAULT NULL,    
  `I2SAudioOutputSource` int(2) DEFAULT NULL,    
  `I2SAudioOutputSourceValues` varchar(255) DEFAULT NULL,    
  `UsbHidConfigRole` varchar(21) DEFAULT NULL,
  `UsbHidStatusHost` varchar(21) DEFAULT NULL,
  `UsbHidStatusDevices` varchar(255) DEFAULT NULL,
  `UsbHidStatusRole` varchar(21) DEFAULT NULL,
  `UsbHidConnectedMacs` varchar(255) DEFAULT NULL,
  `UsbIcronMac` varchar(21) DEFAULT NULL,
  `UsbIcronIp` varchar(15) DEFAULT NULL,
  `UsbIcronMask` varchar(15) DEFAULT NULL,
  `UsbIcronGateway` varchar(15) DEFAULT NULL,
  `UsbIcronIsDhcp` tinyint(1) DEFAULT '0',
  `UsbIcronDhcpServer` varchar(15) DEFAULT NULL,
  `UsbIcronPortNumber` varchar(10) DEFAULT NULL,
  `UsbIcronIsSimultaneousUsers` tinyint(1) DEFAULT '0',
  `UsbIcronPairedMacs` varchar(255) DEFAULT NULL,
  `UsbIcronRevision` varchar(35) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p7`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_ProductIoAttributsList_P7_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P7_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  CONSTRAINT `fk_ProductIoAttributsList_P7_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ProductIoAttributsList_P7_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `persistentsettings_p1` (
  `persistentsettings_p1ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,  
  `IsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`persistentsettings_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_PersistentSettings_P1_ProductGlobalAttributs_P1_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)  
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

ALTER TABLE `persistentsettings_p1`
  ADD  CONSTRAINT `fk_PersistentSettings_P1_ProductGlobalAttributs_P1` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p1` ADD COLUMN `ProductIoAttrIsIrFollowVideo` tinyint(1) DEFAULT NULL AFTER `ProductIoAttrIsIrMode`;

ALTER TABLE `productioattributslist_p10` CHANGE COLUMN `ProductIoAttrEdidUse` `ProductIoAttrEdidUse` VARCHAR(25) NULL DEFAULT NULL ;
