USE `muxlabnetworkcontroller_dev_db`;

ALTER TABLE `productioattributslist_p3` ADD COLUMN `ProductIoAttrUiDefaultRes` VARCHAR(45) DEFAULT NULL AFTER `ProductIoAttrChannelOSD`;

CREATE TABLE IF NOT EXISTS `schedules_p3` (
  `schedule_p3ID` INT(11) NOT NULL AUTO_INCREMENT,
  `starttime` DATETIME NULL DEFAULT NULL,
  `endtime` DATETIME NULL DEFAULT NULL,
  `duration` INT(11) NULL DEFAULT NULL,
  `isOverride` TINYINT NULL DEFAULT NULL,
  `p_cmd` VARCHAR(45) NOT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  `p_data` VARCHAR(1000) NOT NULL,
  PRIMARY KEY (`schedule_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_Schedules_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`))
ENGINE = InnoDB AUTO_INCREMENT = 1 DEFAULT CHARACTER SET = latin1;

CREATE TABLE IF NOT EXISTS `ds_playing_p3` (
  `Mac` varchar(45) NOT NULL DEFAULT '00-00-00-00-00-00',
  `slideID` INT(11) NOT NULL DEFAULT 0,
  `starttime` DATETIME NULL DEFAULT NULL,
  `overrideDuration` INT(11) NULL DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`Mac`,`slideID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_ds_playing_P3_ProductGlobalAttributs_P3_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`))
ENGINE = InnoDB AUTO_INCREMENT = 1 DEFAULT CHARACTER SET = latin1;

ALTER TABLE `ds_playing_p3`
  ADD CONSTRAINT `fk_ds_playing_P3_ProductGlobalAttributs_P3_idx` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) 
  REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

CREATE TABLE IF NOT EXISTS `ds_slides` (
  `slideID` INT(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(75) NULL DEFAULT NULL,
  `filename` VARCHAR(75) NULL DEFAULT NULL,
  `filesize` INT(11) NULL DEFAULT 0,
  `settingsJson` VARCHAR(1000) NULL DEFAULT NULL,
  PRIMARY KEY (`slideID`))
ENGINE = InnoDB AUTO_INCREMENT = 1 DEFAULT CHARACTER SET = latin1;

CREATE TABLE IF NOT EXISTS `ds_playlists` (
  `playlistID` INT(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(75) NULL DEFAULT NULL,
  PRIMARY KEY (`playlistID`))
ENGINE = InnoDB AUTO_INCREMENT = 1 DEFAULT CHARACTER SET = latin1;

CREATE TABLE IF NOT EXISTS `ds_playlists_has_ds_slides` (
  `ds_playlists_playlistID` INT(11) NOT NULL,
  `ds_slides_slideID` INT(11) NOT NULL,
  `order` int(11) NOT NULL,
  `duration` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ds_playlists_playlistID`, `ds_slides_slideID`,`order`),
  INDEX `fk_ds_playlists_has_ds_slides_ds_slides1_idx` (`ds_slides_slideID` ASC),
  INDEX `fk_ds_playlists_has_ds_slides_ds_playlists1_idx` (`ds_playlists_playlistID` ASC))
ENGINE = InnoDB DEFAULT CHARACTER SET = latin1;

ALTER TABLE `ds_playlists_has_ds_slides`
  ADD CONSTRAINT `fk_ds_playlists_has_ds_slides_ds_playlists1` FOREIGN KEY (`ds_playlists_playlistID`) 
  REFERENCES `ds_playlists` (`playlistID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_ds_playlists_has_ds_slides_ds_slides1` FOREIGN KEY (`ds_slides_slideID`) 
  REFERENCES `ds_slides` (`slideID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

INSERT INTO `featuresupport` VALUES (61,'500763-TX-V2','either',1);
INSERT INTO `featuresupport` VALUES (62,'500762-RX-V2','either',1);
